Skip to content

AllDom

All operations require authentication.

10 operationsv1 · v2/allDom · /allDom/{serviceName} · /domain/alldom
Agent setup

List all the AllDom resourcesBeta

GET
/v2/domain/alldom

Query parameters

iamTags
object

Filter resources on IAM tags

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200AlldomWithIAM[]successful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests

currentState
read-only
AlldomCurrentState

The representation of the AllDom's current state

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the AllDom resource

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the resource. Here, the AllDom name itself is used as an identifier.

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the AllDom resource

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/domain/alldom \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "checksum": "string", "currentState": { "domains": [ { "dnssecActivated": true, "expiresAt": "2024-01-01T12:00:00Z", "extension": "string", "mainState": "DELETED", "name": "string", "nameServers": [ { "ips": null, "ipv4": null, "ipv6": null, "nameServer": null, "nameServerType": null } ], "protectionState": "PROTECTED", "registrationStatus": "REGISTERED", "suspensionState": "NOT_SUSPENDED" } ], "extensions": [ "be" ], "name": "string", "type": "FRENCH" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING" }]

Get an AllDom resourceBeta

GET
/v2/domain/alldom/{alldomName}

Path parameters

alldomName
required
string

Alldom name

Response

200AlldomWithIAMsuccessful operation
checksum
read-only
string

Computed hash used to control concurrent modification requests

currentState
read-only
AlldomCurrentState

The representation of the AllDom's current state

currentTasks
read-only
CurrentTask[]

Ongoing asynchronous tasks related to the AllDom resource

iam
read-only
ResourceMetadata

IAM resource metadata

id
read-only
string

Unique identifier of the resource. Here, the AllDom name itself is used as an identifier.

resourceStatus
read-only
ResourceStatusEnum

Reflects the readiness of the AllDom resource

ValuesCREATINGCREATION_PLANNEDDELETINGERROROUT_OF_SYNCREADYSUSPENDEDUNKNOWNUPDATING

Example uses alldomName = string

$ curl https://api.eu.ovhcloud.com/v2/domain/alldom/{alldomName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "checksum": "string", "currentState": { "domains": [ { "dnssecActivated": true, "expiresAt": "2024-01-01T12:00:00Z", "extension": "string", "mainState": "DELETED", "name": "string", "nameServers": [ { "ips": [ null ], "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "nameServer": "string", "nameServerType": "ANYCAST" } ], "protectionState": "PROTECTED", "registrationStatus": "REGISTERED", "suspensionState": "NOT_SUSPENDED" } ], "extensions": [ "be" ], "name": "string", "type": "FRENCH" }, "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "id": "string", "resourceStatus": "CREATING"}

List tasks related to a managed AllDom resourceBeta

GET
/v2/domain/alldom/{alldomName}/task

Path parameters

alldomName
required
string

Alldom name

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Task[]successful operation
createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

Example uses alldomName = string

$ curl https://api.eu.ovhcloud.com/v2/domain/alldom/{alldomName}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]

Get a specific task related to a managed AllDom resourceBeta

GET
/v2/domain/alldom/{alldomName}/task/{taskId}

Path parameters

alldomName
required
string

Alldom name

taskId
required
stringuuid

Task ID

Response

200Tasksuccessful operation
createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

Example uses alldomName = string, taskId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/domain/alldom/{alldomName}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}

List available AllDom servicesProduction

GET
/1.0/allDom

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/allDom \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get this AllDom propertiesProduction

GET
/1.0/allDom/{serviceName}

Path parameters

serviceName
required
string

Service name

Response

200AllDomServiceWithIAMsuccessful operation
iam
read-only
ResourceMetadata

IAM resource metadata

name
read-only
string

Name of the allDom

offer
read-only
OfferEnum

Offer of the allDom

Valuesdiamondgoldplatinum
type
read-only
TypeEnum

Type of the allDom

Valuesfrenchfrench+internationalinternational

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/allDom/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "name": "string", "offer": "diamond", "type": "french"}

List all domains attached to this allDomProduction

GET
/1.0/allDom/{serviceName}/domain

Path parameters

serviceName
required
string

Service name

Query parameters

domain
string

Filter the value of domain property (like)

Response

200string[]successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/allDom/{serviceName}/domain \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get this AllDom domain propertiesProduction

GET
/1.0/allDom/{serviceName}/domain/{domain}

Path parameters

domain
required
string

Domain

serviceName
required
string

Service name

Response

200Domainsuccessful operation
domain
read-only
string

Domain name

Example uses domain = string, serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/allDom/{serviceName}/domain/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "domain": "string"}

Get service informationProduction

GET
/1.0/allDom/{serviceName}/serviceInfos

Path parameters

serviceName
required
string

Service name

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/allDom/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/allDom/{serviceName}/serviceInfos

Path parameters

serviceName
required
string

Service name

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/allDom/{serviceName}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"